<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title><%= title %></title>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/css/bootstrap.min.css" integrity="sha384-PsH8R72JQ3SOdhVi3uxftmaW6Vc51MKb0q5P2rRUpPvrszuE4W1povHYgTpBfshb" crossorigin="anonymous">
</head>
<body>
	<div class="container">
		<h1><%= title %></h1>

	<form action="/add" method="POST">
		<legend>
			Add a task
		</legend>
		<div class="form-group">
			<input id="title" type="text" class="form-control" name="title" placeholder="Add a title" required>
		</div>
		<div class="form-group">
			<textarea class="form-control" rows="1" cols="50" name="description" placeholder="Add a description" default-value="" required></textarea>
		</div>
		<button class="btn btn-primary">Submit</button>
	</form>

	<hr>

	<table class="table table-bordered table-hover">
		<thead>
			<tr>
				<th>#</th>
				<th>Title</th>
				<th>Description</th>
				<th>Operations</th>
			</tr>
		</thead>
		<tbody>
			<% for(var i = 0; i < tasks.length; i++){ %>
				<tr>
					<td><%= i + 1 %></td>
					<td><strong><%= tasks[i].title %></strong></td>
					<td><%= tasks[i].description %></td>
					<td>
						<a class="<%= tasks[i].status ? 'btn btn-success' : 'btn btn-dark' %>" 
						href="/turn/<%=tasks[i]._id%>">Done</a>
						<a 
						id="delete"
						class="btn btn-danger" href="/delete/<%=tasks[i]._id %>">Delete</a>
					</td>
				</tr>
			<% } %>
		</tbody>
	</table>

	</div><!-- .container -->

	<script type="text/javascript">
		document.getElementById('title').focus();
		document.getElementById('delete').addEventListener('click', function(e){
			let response = confirm('Are you sure to delete?');
			if(!response){
				e.preventDefault();
			}
		});
	</script>
</body>
</html>